### Method

# Gio File supports_thread_contexts

since: 2.22

#### Declaration

    gboolean
    g_file_supports_thread_contexts (
      GFile* file
    )

#### Description

Checks if `file` supports [thread-default contexts][g-main-context-push-thread-default-context]. If this returns `FALSE`, you cannot perform asynchronous operations on `file` in a thread that has a thread-default context.

Available since: 2.22

#### Return value

Type: `gboolean`

Whether or not `file` supports thread-default contexts.